package com.czg.market.vo;

import lombok.Data;

import java.math.BigDecimal;

/**
 * @author ww
 * @description
 */
@Data
public class DistributionCenterTopVO {
    /**
     * 总收益
     */
    private Double totalIncome;
    /**
     * 待入账
     */
    private Double pendingIncome;
    /**
     * 已提现
     */
    private Double cashOutAmount;

    public Double getTotalIncome() {
        return totalIncome == null ? 0.0 : totalIncome;
    }

    public Double getPendingIncome() {
        return pendingIncome == null ? 0.0 : pendingIncome;
    }

    public Double getCashOutAmount() {
        return cashOutAmount == null ? 0.0 : cashOutAmount;
    }

    public Double getUnCashOutAmount() {
        return getTotalIncome() - getPendingIncome() - getCashOutAmount();
    }
}
